pspp-convert(1)

NAME
pspp-convert - convert SPSS files to other formats

SYNOPSIS
pspp-convert [options] input output
pspp-convert --help | -h
pspp-convert --version | -v

DESCRIPTION
The pspp-convert program reads input, which may be an SPSS system file, an SPSS/PC+ system file, an SPSS portable file, or an encrypted SPSS syntax file, and writes it to output, performing format conversion as necessary.

The format of input is automatically detected, when possible. The character encoding of old SPSS system files cannot always be guessed correctly, and SPSS/PC+ system files do not include any indication of their encoding. Use -e encoding to specify the encoding in this case.

By default, the intended format for output is inferred from its extension:

csv Comma-separated value. Each value is formatted according to its variable's print format. The first line in the file contains variable names.

sav SPSS system file.

por SPSS portable file.

sps SPSS syntax file. (Only encrypted syntax files may be converted to this format.)

Use -O extension to override the inferred format or to specify the format for unrecognized extensions.

pspp-convert can convert most input formats to most output formats. Encrypted system file and syntax files are exceptions: if the input file is in an encrypted format, then the output file must be the same format (decrypted).

OPTIONS

-O format
    Specifies the desired output format. format must be one of the extensions listed above, e.g. -O csv requests comma-separated value output.

-c maxcases
    By default, all cases are copied from input to output. Specifying this option to limit the number of cases written to output to maxcases.

-e charset
    Overrides the encoding in which character strings in input are interpreted. This option is necessary because old SPSS system files do not self-identify their encoding.

-p password
    Specifies the password to use to decrypt encrypted SPSS system file or syntax file input. If this option is not specified, pspp-convert prompts for the password.

    On multiuser systems, this option may not be safe because other users may be able to see the password in process listings.

-h  Prints a usage message on stdout and exits.

-v  Prints version information on stdout and exits.

AUTHORS
Ben Pfaff.

SEE ALSO
pspp(1), psppire(1).